﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace HttpExerciser
{
    public class ListItemSelector : StyleSelector
    {
        public override Style SelectStyle(object item, DependencyObject container)
        {
            Style style = new Style();
            style.TargetType = typeof(ListViewItem);
            Setter bgSetter = new Setter();
            bgSetter.Property = ListViewItem.BackgroundProperty;
            ListView listView =
                ItemsControl.ItemsControlFromItemContainer(container) as ListView;
            int index =
                listView.ItemContainerGenerator.IndexFromContainer(container);
            if (index % 2 == 0)
            {
                bgSetter.Value = Brushes.LightBlue;
            }
            else
            {
                bgSetter.Value = Brushes.Cornsilk;
            }
            style.Setters.Add(bgSetter);
            return style;
        }
    }
}
