﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UriBuilderSample
{
    class Program
    {
        static void Main(string[] args)
        {
            // Set up our URI components.
            string scheme = "http";
            string host = "www.acme.com";
            Int32 port = 8080; // set to -1 to use default port
            string path = "Products/Info/Eludium/Q/36";

            // Create a builder object.
            UriBuilder builder = new UriBuilder(scheme, host, port, path);

            // Ask the builder for the URI.
            string uri = builder.ToString();
            Console.WriteLine(uri);

            Console.Write("\nPress <enter> to exit.");
            Console.ReadLine();
        }
    }
}
