﻿// [Book name], ISBN: [isbn]
// Kenn Scribner and Scott Seely
// This code supplied without any warranties, express or implied. 
// Code is free to use, public domain. 
// Have a nice day!

using System.Windows;
using PhotoShared;

namespace WpfPhotoClient
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            Utility.BaseUri = WpfPhotoClient.Properties.Settings.Default.PhotoService;
            base.OnStartup(e);
        }
        protected override void OnExit(ExitEventArgs e)
        {
            WpfPhotoClient.Properties.Settings.Default.Save();
            base.OnExit(e);
        }
    }
}
