﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using System.IO;
using System.Text;
using System.Net;

namespace AspNetMvcRestService
{
    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            // Register the RESTful service URIs...note this *MUST*
            // come before the default URI mapping or you'll sustain
            // 404 errors if the URI doesn't match the default
            // mapping.
            routes.MapRoute(
                "CodeXRC",
                "CodeXRC/{*contentUri}",
                new { controller = "CodeXRC", action = "ServiceRequest" }
            );

            routes.MapRoute(
                "Default",                                              // Route name
                "{controller}/{action}/{id}",                           // URL with parameters
                new { controller = "Home", action = "Index", id = "" }  // Parameter defaults
            );

        }

        protected void Application_Start()
        {
            RegisterRoutes(RouteTable.Routes);
        }

        protected void Application_Error(object sender, System.EventArgs e)
        {
            // TODO: log or otherwise handle errors here...
            ;
        }
    }
}