﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.IO;

namespace AspNetMvcRestService.Models
{
    public class CodeXRCServiceBase : ActionResult
    {
        protected CodeXRCAuxServices _aux = new CodeXRCAuxServices();
        protected CodeXRCDataAccess _dal = new CodeXRCDataAccess();
        protected string[] _directives = new string[0];

        public CodeXRCServiceBase()
        {
        }

        public CodeXRCServiceBase(string[] directives)
        {
            // Later logic depends on this not being
            // null even if it has no elements.
            if (directives != null)
            {
                // Assign value
                _directives = directives;
            }
        }

        public override void ExecuteResult(ControllerContext context)
        {
            // Disallow base implementation...note you can’t make
            // this abstract since this class is itself derived and
            // this method overridden.
            throw new NotImplementedException("You must override the base ExecuteResult implementation.");
        }
    }
}
