﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace HttpExerciser
{
    /// <summary>
    /// Interaction logic for ClientAuthenticationWindow.xaml
    /// </summary>
    public partial class ClientAuthenticationWindow : Window
    {
        public ClientAuthenticationWindow()
        {
            InitializeComponent();
        }

        public string Username
        {
            get { return this.tbUsername.Text; }
        }

        public string Password
        {
            get { return this.tbPassword.Password; }
        }

        public bool RememberMeChecked
        {
            get { return (bool)this.chkRemember.IsChecked; }
        }

        private void cmdOK_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
        }
    }
}
