﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CommentSvc
{
    public partial class LoginForm : Form
    {
        public LoginForm()
        {
            InitializeComponent();
        }

        public string Username
        {
            get { return tbUsername.Text; }
        }

        public string Password
        {
            get { return tbPassword.Text; }
        }

        private void cmdOK_Click(object sender, EventArgs e)
        {
            // We could use Windows Forms validation, but for
            // simplicity we'll just check here...
            if (String.IsNullOrEmpty(tbUsername.Text) ||
                String.IsNullOrEmpty(tbUsername.Text))
            {
                // Need username/password
                MessageBox.Show("Please provide both username and password.",
                    "Comment Service",
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Error);
                return;
            }

            // Close
            this.DialogResult = DialogResult.OK;
        }

        private void cmdCancel_Click(object sender, EventArgs e)
        {
            // Just close
            this.DialogResult = DialogResult.Cancel;
        }
    }
}
